# SimpleRequestCallFactory - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.bot.Ktor.base / SimpleRequestCallFactory

# SimpleRequestCallFactory

(common) `class SimpleRequestCallFactory : AbstractRequestCallFactory` (source)

### Constructors

(common)

#### <init>

`SimpleRequestCallFactory()`

### Functions

(common)

#### prepareCallBody

`fun <T : Any> prepareCallBody(client: HttpClient, baseUrl: String, request: Request<T>): Any?`